al_free_with_context(3)

NAME

al_free_with_context - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_free_with_context(void *ptr,
       int line, const char *file, const char *func)

DESCRIPTION

This calls free() from the Allegro library (this matters on Windows), unless overridden with al_set_memory_interface(3).

Generally you should use the al_free(3) macro.